Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692533 - Review Request: pki-deps - Certificate System - PKI dependencies
Summary: Review Request: pki-deps - Certificate System - PKI dependencies
Keywords:
Status: NEW
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: Module Review
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-25 19:33 UTC by Dinesh Prasanth
Modified: 2019-03-25 19:33 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Dinesh Prasanth 2019-03-25 19:33:09 UTC
Modulemd URL: https://github.com/SilleBille/pki-deps/blob/master/pki-deps.yaml

Description:
Certificate System (CS) is an enterprise software system designed to manage enterprise Public Key Infrastructure (PKI) deployments.

Dogtag pki has its own module [1]. However, including the dependencies in the same module causes the build time to increase exponentially; The last koji build of `pki` module with 5 components took ~2 hours [2]

Fedora Account System Username: dmoluguw

I was able to trigger an successful COPR build [3]. However, you can see a few packages failing because of a known issue in COPR [4]

[1] https://src.fedoraproject.org/modules/pki
[2] https://koji.fedoraproject.org/koji/buildinfo?buildID=1236050
[3] https://copr.fedorainfracloud.org/coprs/dmoluguw/pki-10.6/module/235787
[4] https://pagure.io/copr/copr/issue/599


Note You need to log in before you can comment on or make changes to this bug.